= v4.2.16 (10 August, 2026) =
Update – Bump version to 4.2.16

= v4.2.15 (06 August, 2026) =
Enhance – Redesigned all registration form templates with a modern, consistent UI/UX
Enhance – Multistep registration progress bar colors now persist from the form settings
Enhance – Improved readability of form title, description, help text and labels on dark templates
Fix – Multistep next and previous button spacing no longer overlaps the field focus border
Fix – Improved registration form label color contrast on Template 4 for better accessibility
Fix – Elementor multistep step-style controls now target the redesigned step wizard markup
Fix – Harden field rendering against undefined array key notices (file upload, repeat, math captcha, embed)

= v4.2.14 (20 July, 2026) =
New – Load only the modules included in the purchased plan, with out of plan modules locked in the Modules page
New – Add Testimonial form template
Enhance – Store coupon discount and coupon ID for Stripe transactions
Fix – Resolve fatal error when Pro is active without the free plugin
Fix – Resolve empty redirect after a profile update when no redirect page is set
Fix – Resolve a PHP 8 error when rendering user fields on a profile form

= v4.2.13 (24 April, 2026) =
New – Add icon picker for About tab fields and section headers
New – Add Death Date support to DOB field
New – Add bulk edit WPUF view control for post visibility
New – Add integration-specific post types AI review
New – Add Simple and Blog Author signup templates
Enhance – Escape phone field data attributes
Fix – Sanitize file upload fields
Fix – Resolve post expiration not working

= v4.2.12 (8 April, 2026) =
* New – Add Survey Panel Signup and Club/Association Member Registration form templates
* New – Add Elementor Post Form Builder widget
* New – Add role-based email template support
* Enhance – Integrate with free plugin filter system to register Pro-only templates

= v4.2.11 (11 March, 2026) =
* Enhance – Introduce advanced password validation rules
* Enhance – Refactor User Directory with hook-based architecture
* Fix – Resolve User Directory file tab active styling and improve Layout 4 container design

= v4.2.10 (27 February, 2026) =
* New – Add Secondary Email field for Registration and Profile forms
* New – Add 4 new User Directory layouts
* New – Add two new PRO Post Form templates: Portfolio Submission and Volunteer Opportunity
* Enhance – Update tax settings label for better clarity
* Enhance – Improve Login form stability and validation fixes

= v4.2.9 (24 February, 2026) =
* New – Add Signature field
* New – Role-based action links for User Directory shortcode
* Enhance – Add retry option for AI review
* Enhance – Update n8n icon
* Enhance – Improve sanitization for profile form setting icons
* Fix – Allow social media fields to accept username-only with proper validation
* Fix – Resolve User Directory search, sort, and field categorization issues

= v4.2.8 (28 January, 2026) =
* New – Add cover photo upload capability to user directory shortcode profiles
* New – Bulk adding option for radio, checkbox and dropdown fields
* Enhance - Account page redesign
* Fix - Duplicate event on update
* Fix - Multisite REST URL for sites created with Bedrock
* Fix - Hidden CSS class in builder cannot be modified

= v4.2.7 (27 January, 2026) =
* New – Add cover photo upload capability to user directory shortcode profiles
* New – Bulk adding option for radio, checkbox and dropdown fields
* Enhance - Account page redesign
* Fix - Duplicate event on update
* Fix - Multisite REST URL for sites created with Bedrock
* Fix - Hidden CSS class in builder cannot be modified

= v4.2.6 (14 January, 2026) =
* New - N8N integration for registration form
* New - View control settings for post form
* New - User Directory role based login/reg link for custom field blocks
* New - User directory subscription based login reg link for usermeta value
* Enhancement - Login and registration help text
* Enhancement - Pre configured registration and profile form
* Enhancement - Add option on each repeat block or rows
* Fix - Dokan selling status for vendor registration
* Fix - Remove exe from allowed file upload list

= v4.2.5 (12 December, 2025) =
* New - AI review on submitted post
* New - Date of Birth Field for Profile Forms
* New - Add 7 customizable login form layouts with advanced styling
* Enhancement - Row population option for repeat field
* Enhancement - Add count tabs and improve UI/UX in user directory list
* Enhancement - Add cover photo to user directory profile templates
* Fix - Form builder country list break
* Fix - User directory header layout
* Fix - Profile page avatar display inconsistency with directory listing
* Fix - Registration-custom-success-message-with-approval

= v4.2.4 (01 December, 2025) =
* Enhancement - User Directory check dependent block
* Fix - Registration possible while restricted

= v4.2.3 (20 November, 2025) =
* New - User Directory cover photo block
* New - Add cover photo field in form builder
* New - Phone field on registration form profile section
* New - Registration form AI form builder
* Enhancement - Upload cover photo from profile
* Enhancement - Minimum date and Maximum date in date field
* Enhancement - User Directory phone field in user contact block
* Enhancement - User directory profile photo support for block
* Fix - Registration form preview is not working

= v4.2.2 (03 November, 2025) =
* New - Add Gender predefined field to Registration/Profile Form Builder
* New - SEO Module with User Profile settings
* New - Add comprehensive pricing fields system
* New - Add access restriction by taxonomy in subscription
* New - Add dynamic SVG icons for social fields
* Enhancement - Rename 'Published' tab to 'Saved' in form list pages
* Enhancement - Improve pagination in User Directory with clean URL parameters
* Enhancement - Add pagination to User Directory user tabs block
* Enhancement - Add count tabs and improve UI/UX in User Directory
* Enhancement - Scope WPUF styles to resolve CSS conflicts
* Enhancement - Improve Tailwind subscription packs view
* Fix - Improve some security issues
* Fix - Improve BuddyPress compatibility for conditional logic on event calendar

= v4.2.1 (24 September, 2025) =
* New - Press Release/News submission template post form template
* New - Professional Video submission template post form template
* New - Professional Artwork submission template post form template

= v4.2.0 (17 September, 2025) =
* New - Gutenberg block for User Directory and User Profile
* New - Added wizard for User Directory shortcode creation
* New - Migrator for existing User Directory shortcode to new enhanced shortcode

= v4.1.9 (01 September, 2025) =
* New - Allow webp image format in file upload fields
* Enhance - Repeat field enhancement
* Enhance - Cleanup registration form settings template option
* Fix - User notification settings template not showing
* Fix - Fix role conflict with WCFM plugin
* Fix - Correct SMS module wording in settings
* Fix - Remove event form template from registration template
* Fix - Submit button conditional logic

= v4.1.8 (12 August, 2025) =
* New - Added Linkedin and Instagram field in profile builder
* Fix - The Events Calendar integration

= v4.1.7 (04 August, 2025) =
* New - Facebook field implementation
* New - GitHub social login Integration Enabled
* New - Profile Photo field in registration form
* Fix - Invoice and email not sent for payment gateways
* Fix - Activation link message issue
* Fix - twitter svg icon not showing
* Fix - Post forms list table CSS

= v4.1.6 (17 July, 2025) =
* New - Added X/Twitter field in profile builder
* Enhance - Social Login module
* Enhance - Added some more states for various countries
* Enhance - Registration form listing support for subdirectories
* Fix - Resolve ConvertKit connection issues
* Fix - Resolve GetResponse connection issues
* Fix - Force subscription redirection is not showing payment gateways
* Fix - Date picker not working in coupon page
* Fix - Profile forms listing problem for other plugins PHP notices

= v4.1.5 (1 July, 2025) =
* Fix - Conditional is not working for mailchimp and submit button
* Fix - Unify text domains and add German translations
* Fix - Form builder missing info-tip
* Fix - Registration page list design

= v4.1.4 (2 June, 2025) =
* Enhancement - Added filter hook to customize file uploads in messaging.
* Fix - Fixed auto-login behavior with email settings in registration.
* Fix - Fixed arbitrary file upload vulnerability in private messaging.
* Fix - Fixed users not selectable issue in private messaging.

= v4.1.3 (12 May, 2025) =
* Enhance - Revamp registration form list page UI and UX
* Fix - Vulnerable to arbitrary file uploads
* Fix - Form email settings not showing properly
* Fix - User directory error

= v4.1.2 (16 April, 2025) =
* Fix - Newly registered users not logged in automatically
* Fix - Warning message not showing when registration form submitted with duplicate email, username

= v4.1.1 (27 March, 2025) =
* Fix - Recurring payment not initiating on Stripe.
* Fix - Recurring payment details not displaying on the frontend.
* Fix - Renewal time bug on recurring subscriptions.
* Fix - "Stop billing cycle" not saving correctly.
* Fix - Resolved issue where the $post global variable was being modified.
* Fix - Improve template selection UX to uncheck a selected registration form template.

= v4.1.0 (20 March, 2025) =
* Enhance - Redesigned Post Form Builder UI/UX
* Enhance - Reorganized Forms Settings for better structure
* Enhance - Improved field grouping & customization

= v4.0.13 (21 Jan, 2025) =
* Fix - WordPress warning for translation function called too early

= v4.0.12 (15 Oct, 2024) =
* Fix - WCFM integration not working
* Fix - Conditional logic for rich text area
* Fix - Required asterisk on password label

= v4.0.11 (12 Sep, 2024) =
* Enhancement - Subscription design revamp
* Enhancement - Consistent format in email templates
* Enhancement - Update stripe sdk to 15.7.0
* Fix - Cannot visit profile if username is email
* Fix - Translation for password strength

= v4.0.10 (08 Aug, 2024) =
* Fix - Extra spaces in email content QR field
* Fix - Error on WC post template
* Fix - Move login validation to pro

= v4.0.9 (17 Jul, 2024) =
* Fix - Remove PHP AllowDynamicProperties warning on plugin pages

= v4.0.8 (11 Jun, 2024) =
* Fix - File upload problem using page builders
* Fix - User Directory asset loading
* Fix - Content restriction block not showing
* Fix - Email notification placeholder
* Enhancement - Move service to quickchart.io for QR code with some new settings
* Fix - Error not showing on registration page

= v4.0.7 (27 Feb, 2024) =
* Enhancement - Integrate headway and canny
* Enhancement - Update deprecated uses
* Enhancement - Remove what's new page
* Enhancement - User Directory module translation

= v4.0.6 (26 Jan, 2024) =
* Fix - Error while changing a user role
* Fix - WP menu not working

= v4.0.5 (05 Jan, 2024) =
* Enhancement - Restructure plugin codes
* Enhancement - Add Appsero updater
* Fix - Errors with Post Form Conditional Logic

= v4.0.4 (04 Jan, 2024) =
* Enhancement - Restructure plugin codes
* Enhancement - Add Appsero updater
* Fix - Errors with Post Form Conditional Logic

= v4.0.3 (04 Jan, 2024) =
* Enhancement - Restructure plugin codes
* Enhancement - Add Appsero updater
* Fix - Errors with Post Form Conditional Logic

= v4.0.2 (04 Jan, 2024) =
* Enhancement - Restructure plugin codes
* Enhancement - Add Appsero updater
* Fix - Errors with Post Form Conditional Logic

= v4.0.1 (03 Jan, 2024) =
* Enhancement - Restructure plugin codes
* Fix - Errors with Post Form Conditional Logic

= v4.0.0 (02 Jan, 2024) =
* Enhancement - Restructure plugin codes
* Fix - Errors with Post Form Conditional Logic

= v3.4.14 (31 Aug, 2023) =
* Fix - Update QR fields from WP admin dashboard
* Fix - Form bug for pass strength meter setting

= v3.4.13 (06 Apr, 2023) =

* Enhancement - Conditional field enhanced and some more logic is introduced
* Enhancement - Upgrade emogrifier
* Fix - Subscriptions page error
* Fix - Spinner showing always before enable/disable auto-updates option

= v3.4.12 (24 Nov, 2022) =

* Enhancement - Multistep Form: Save draft on every step
* Enhancement - Password strength validation added
* Enhancement - show Password icon added
* Enhancement - Email hiding filter introduced in user profile
* Enhancement - 'wpuf_message_floating_button_text' Floating button filter introduced for Private Message
* Enhancement - 'wpuf_profile_header_user_phone' User phone no filter introduced for User Directory
* Enhancement - 'wpuf_profile_header_user_email' User email filter introduced for User Directory
* Enhancement - 'wpuf_profile_header_user_url' User URL filter introduced for User Directory
* Enhancement - 'wpuf_profile_header_user_bio' User bio filter introduced for User Directory
* Enhancement - User Directory: Exclude user based on status pending/denied/approved shortcode (like: [wpuf_user_listing status_exclude="pending, denied, approved"] user from the listing
* Enhancement - User Directory: Provide a chat button on the listing profile [if the private message module is enabled]
* Enhancement - User Directory: Single listing page permalink/URL changing user-controller as per username
* Fix - conditional logic not working on meta-box
* Fix - text-area type selection(Normal, Rich text-area, Teeny Rich text-area) bug in field options
* Fix - Menu description not showing
* Fix - Conditional logic not working on meta-box
* Fix - Frontend form validation

= v3.4.11 (15 Mar, 2022) =

* Enhancement - Phone field added in form builder
* Enhancement - Time field added in form builder
* Enhancement - Meta key enhanced for user email notification
* Enhancement - Container added for instance track
* Enhancement - Email template enhanced for after activation
* Enhancement - Activity module enhanced
* Fix - Shortcode field label enhanced
* Fix - Non decimal currencies handled for stripe
* Fix - Rollback abuse through draft issue handled
* Fix - Post expiration not working fixed
* Fix - Conditional required fields error handled
* Fix - Profile form preview issue handled
* Fix - Template override for child theme fixed
* Fix - Special character password handled for login
* Fix - Coupon with no value error fixed
* Fix - Translation related issue handled for admin menu
* Fix - Conditional radio / checkbox with default value not working handled
* Fix - PHP 8 compatibility handled
* Fix - Email template settings issue handled
* Fix - Private message menu error fixed
* Fix - Math captcha value to single digit
* Fix - Invoice logo not found issue handled
* Fix - fpdf php 8 issue handled by upgrade
* Fix - reCaptcha conflict with other plugin handled
* Fix - QRcode field no value inconsistency handled


= v3.4.10 (28 Oct, 2021) =

* Enhancement - Featured item for subscriber
* Enhancement - Warning added for unsaved form data on frontend
* Enhancement - Editor added for registration form email template
* Enhancement - User directory admin user profile tab control for admin
* Enhancement - User directory frontend reset button, back to listing button added, design improvements
* Enhancement - User directory frontend settings profile header, user listing template images updated
* Enhancement - User directory frontend media file optimized
* Fix - Vendor registration form redirect issue handled
* Fix - License menu issues fixed
* Fix - Content restriction error handled
* Fix - Required address field conditional inconsistency fixed
* Fix - Tribe events calender data not syncing properly


= v3.4.9 (16 Sep, 2021) =

* Enhancement - Country wide tax rate option enhanced
* Enhancement - Missing state for address field added
* Enhancement - Roles in atts added for user-listing shortcode
* Enhancement - New option for redirection after pay per post payment in form setting
* Enhancement - Controller added for various email notification
* Update - Subscription Post expiration option change to input field
* Update - Campaign Monitor SDK update to latest version
* Fix - Subscription expiration notification inconsistency handled
* Fix - Invoice address not comply with customizer fixed
* Fix - PMpro integration inconsistency handled

= v3.4.8 (06 Jul, 2021) =

* Enhancement - Google Map field enhanced along with acf google map
* Fix - Form preview page inconsistency with builder
* Fix - TOC field not saving properly for registration form

= v3.4.7 (08 Jun, 2021) =

* Enhancement - User Directory module redesigned with better UI & UX
* Enhancement - Private message module redesigned with better UI,UX & file attachments
* Enhancement - Contacts method added for front-end user
* Enhancement - Post approval notification option added
* Fix - Datetime inconsistency with tribes event calender fixed
* Fix - Math Field validation inconsistency handled properly
* Fix - PMpro module date inconsistency handled
* Fix - Buddypress field inconsistency handled with CS fixing
* Fix - Registration form inconsistency with multisite fixed
* Fix - Tax option not saving on backend fixed
* Fix - Datetime year range set to 100 years

= v3.4.6 (08 March, 2021) =

* Fix - Multiple repeat field not showing
* Fix - Missing semantic description for subscription email body
* Fix - Decimal tax value getting floor value
* Fix - Dokan vendor registration form custom URL redirection not workin
* Fix - Bulk form id settings option on various post tables

= v3.4.5 (12 January, 2021) =

* Fix - Stripe cancel doesnt work properly when deleting from stripe
* Fix - Register user unable to delete file after login
* Fix - BuddyPress integration has issue due to sanitization
* Fix - Social login avatar not working
* Fix - Dokan vendor registration state field
* Fix - QR code doesnt work on guest mode
* Fix - WPUF vendor registration redirect with setup wizard
* Enhancement - Sent email after publishing post

= v3.4.4 (11 December, 2020) =

* New - Added partial content restriction
* Fix - Email content formatting was not correct
* Fix - Rollback didn't work for custom post type
* Fix - Date field year and month didn't select properly
* Fix - Stripe trial didn't work properly
* Fix - Semantic subscriber email notification
* Fix - Undefined offset due to edit_posts capability
* Enhancement - View profile link didn't show

= v3.4.3 (14 November, 2020) =

* Fix - Can't edit registration form

= v3.4.2 (11 November, 2020) =

* Fix - Optional password fields on edit profile forms
* Fix - Post expiration inconsistency
* Fix - Column's inside fields are not appearing on the BuddyPress mapping option
* Fix - Terms and conditions were not saving
* Fix - Remove conditional fields from action hook
* Fix - Take pack restrictions from pack when purchasing via pmpro plugin
* Fix - Revolution slider not working with report module due to chartjs color confilct
* Fix - WooCommerce product type form category child Of selection type is not meeting condition

= v3.4.1 (21 Ocotber, 2020) =

* Feature - Mathematical Captcha field
* Enhancement - No message is seen after sending the reset password email
* Fix - Invoice item name doesn't show
* Fix - Social URL doesn't show in user listing directory
* Fix - Wrong class name for attachment element
* Fix - Couldn't send email notification following user settings
* Fix - Taxes were not being calculated properly
* Fix - Stripe card design doesn't look right

= v3.4.0 (24 August, 2020) =

* Enhancement - Gracefully handle the Google Map field if no Google API key found
* Fix - Sending email when user status is pending
* Fix - Preventing from go to next step in multistep form
* Fix - Google API error in form builder in case of no Google admin settings found
* Fix - User profile empty field value in user listing module
* Fix - Showing uploaded file or image in user listing profile page
* Fix - WPUF Pro JS conflict with WordPress v5.5
* Fix - Subscription trial period issue for Stripe gateway

= v3.3.1 (16 June, 2020) =

* Fix - User role issue when register using social login module
* Fix - Do not show social login buttons if module is not enabled in admin settings
* Fix - Prevent showing empty labels for fields that have render_field_data method
* Fix - Missing colon to numeric field label when render its data

= v3.3.0 (11 June, 2020)

* Tweak - Improve avatar upload to support CDN plugins
* Tweak - Make social login button URLs dynamic
* Tweak - Allow updating Dokan shop url from admin user edit page
* Fix - Stripe billing amount calculation for greater than 999
* Fix - Enqueueing google map javascript file
* Fix - Rendering social login icons in multiple form instances
* Fix - Menu restriction option showing twice in admin menu editor
* Fix - Avatar size display not complying with admin settings size
* Fix - Missing billing address in invoice PDF
* Fix - Redirect url after frontend form submission

= v3.2.0 (14 April, 2020) =

* **Enhancement** Add default value for email address and name settings
* **Enhancement** Update form builder help text
* **Enhancement** Update dokan vendor registration template
* **Enhancement** Update social login
* **Enhancement** Update field help text form builder
* **Fix** Show default error messages for pending and denied user logins
* **Fix** Error notices after registration
* **Fix** Conditional logic for categories loaded by Ajax
* **Fix** Condition to check account page
* **Fix** Hybridauth authentication
* **Fix** Confirm password list attribute.
* **Fix** Some tax related warnings
* **Fix** BP date/time field compatibility issue
* **Fix** Not logged in user can't subscribe a pack with payment method stripe
* **Fix** Event Calendar timezone compatibility issue
* **Fix** Newly register users notification is not showing the URL clickable
* **Fix** Some warnings in user directory
* **Fix** Allowing multiple files creates unaccessible files for downloads
* **Fix** Social login rest api issue

= v3.1.13 (03 February, 2020) =

* **Enhancement:**  Added some new styles for profile forms
* **Fix:**  Fixed Default values and conditional logic render and save in input field
* **Fix:**  Fixed UserListing table list render problem
* **Fix:**  Fixed submit button conditional logic settings error throws by Vue
* **Fix:**  Fixed Some tax settings issue
* **Fix:**  Fixed Stripe issues
* **Fix:**  Fixed Missing select text in dependent field of conditional logic
* **Fix:**  Fixed Edit profile issues
* **Fix:**  Fixed Country List field is not responding to conditional logic

= v3.1.12 (13 December, 2019) =

* [Fix] Fixed campaign monitor module throwing fatal error with no connectivity
* [Fix] Fixed stripe issues
* [Fix] Fixed Missing select text in dependent field of conditional logic

= v3.1.11 (17 October, 2019) =

 * [Fix] Embed Field's meta key is missing in the field settings.
 * [Fix] Email confirmation link not working with bedrock environment.

 = v3.1.10 (02 October, 2019) =

 * [Fix] Conditional logic not working in the WPUF-Account-Edit profile page section.
 * [Fix] User listing search feature not searching in user meta fields when selecting All for search by option.
 * [Fix] When taxonomy is restricted by any subscription package, then the attributes created by WooCommerce are not shown in the post form.
 * [Fix] Cannot add line breaks to the invoice mail body..
 * [Fix] Billing address not showing in the invoice.
 * [Fix] Sending invoice email twice.
 * [Fix] The email templates from the WPUF pro are not possible to override.
 * [Enhancement] Add shortcode support to display post information in the Post Expiration Message.
 * [Enhancement] Remove Instagram & Pinterest options from the social login module.

 = v3.1.9 (06 September, 2019) =

 * [Fix] If the conditional logic was being used on the image upload field, the field did not work on the iPhone.
 * [Fix] Event Calendar integration - the venue's dropdown was not able to render more than ten items/venues.
 * [Fix] Instagram login was not working.
 * [Improvement] Added stripe 3d secure payment.
 * [Tweak] Removed conditional option from the step-start field.

= v3.1.8 (22 July, 2019) =

 * [Fix] WooCommerce gallery images were not being shown on the frontend.
 * [Fix] Reference value & admin address getting overlapped on PDF invoice.
 * [Fix] Showing extra space with the value of the second column in the repeat field.
 * [Fix] Show & hide coupon message based on response.

= v3.1.7 (27 June, 2019) =

 * [Fix] If a post was being updated without making any changes, Google map field was being vanished.

= v3.1.6 (31 May, 2019) =

 * [Fix] multiple files not uploading when editing a post.

= v3.1.5 (23 May, 2019) =

 * [Feature] added conditional logic on the submit button.
 * [Fix] label value was not being displayed in user listing when the field type was a checkbox.

= v3.1.4 (02 May, 2019) =

 * [Fix] While editing the checkbox values from the backend user profile page, the values were not being saved.
 * [Fix] conditional logic based on radio & dropdown filed in the column field was not working.
 * [Fix] Conditional logic was not working with the category field when the field type is checkbox.
 * [Fix] Convert kit lists were not showing.
 * [Fix] There was an error from social login API library(Hybridauth).

= v3.1.3 (15 April, 2019) =

 * [Fix] Password was not saving after registration.
 * [Fix] Menu restriction feature was not working with mega menu.
 * [Fix] Updated social login api.

= v3.1.2 (01 April, 2019) =

 * [Fix] Repeat field with more than one column did not render data.
 * [Fix] Checkbox and radio field data were not showing properly on user listing page.
 * [Fix] File type meta key in the WPUF User Listing module was not being saved.
 * [Fix] Subscription reminder email was being sent at a wrong time.
 * [Improvement] Updated Stripe library & set Stripe AppInfo.

= v3.1.1 (28 February, 2019) =

 * [Fix] Multistep feature in the registration form was not working in the previous version.
 * [Fix] MinDate/MaxDate option in the Date/Time field was not working.
 * [Fix] Schedule post meta was not updating.
 * [Fix] Autocomplete turned off for date field.
 * [Fix] WPUF cause a fatal error when WC Marketplace is active.

= v3.1.0 (31 January, 2019) =

 * [Fix] If Auto Login After Registration option was enabled from Login/Registration settings, also admin approval and email verification options were enabled and required for the registration form, users would have gotten auto logged after registration. This issue has been fixed in this version.
 * [Fix] If a user applied multiple conditions for a single field, the field was unable to show the data on the frontend.
 * [Fix] User details didn’t show on the frontend when user activity module was active. Fixed in this version.
 * [Fix] When `Subscription at Registration` option was enabled, it was unable to edit the page where the registration form shortcode existed, it just automatically went to the frontend subscription page. Fixed in this release.
 * [Fix] When using `Dokan Vendor Registration Form` from the Dokan plugin following fields were not mapping correctly on the vendor store page:
            - Store location google map
            - Country field
            - State field

= v3.0.2 (01 January, 2019) =

 * [New] Add sorting option in the user listing page
 * [New] Add shortcode attribute to hide specific user roles from the user listing (e.g: [wpuf_user_listing roles_exclude="Administrator"]
 * [New] added post lock feature based on posts and user
 * [Fix] Internal server error when editing a post form

= v3.0.1 (22 November, 2018) =

 * [Fix] Conditional logic not working on My account and Preview link
 * [Fix] WooCommerce template button labels and gallery image saving

= v3.0 (8 November, 2018) =

 * [New] Integrated Advanced Custom Fields Pro plugin
 * [New] Add option to hide field label
 * [New] Add option to change AVATAR button text
 * [Fix] Visibility option not available in file upload field
 * [Fix] Embed field visibility hidden option not working
 * [Fix] Added default meta_key on the 'terms and condition' field

= v2.9.0 (20 September, 2018) =

 * [New] File upload field - make uploaded audio/video files playable on the frontend
 * [New] Embed field - new custom field
 * [New] Notification settings in the registration form
 * [New] Conditional logic option to run/skip MailChimp integration after submission
 * [New] Reports module
 * [New] The Events Calendar integration template
 * [New] Added action (Login, Lost Password) links to registration form
 * [Improved] Replace user status field with checkbox in registration form
 * [Removed] Removed new user admin email option from emails global settings. This option is unnecssary as admin can send form specific new user admin notification from this version.
 * [Fix] Fixed email formatting issue

= v2.8.2 (19 July, 2018) =

 * [New] Added resend activation email
 * [New] Added minDate and maxDate option in date field
 * [New] Allow override form input style using theme styling
 * [New] Added content filter option
 * [New] Added new form layouts
 * [New] Added cutomizer option to subscription pack listing
 * [New] Added easy digital downloads integration
 * [New] Added pagination in activity log
 * [New] Added bulk option for activate/deactivate all modules
 * [New] Added instagram and pinterest in social login module
 * [New] Added edit profile form replace option for frontend account page
 * [Fix] Fixed login/logout menu not working
 * [Fix] Fixed social login module issue (Facebook login was not working)
 * [Fix] Fixed rating field not showing during post update in frontend

= v2.8.1 (22 March, 2018) =

 * [New] Tax Feature in Payments
 * [Improved] Updated Stripe Module
 * [Fix] Fixed Showing country name on the frontend instead of country code
 * [Fix] Show approved users in user listing page
 * [Fix] Updated user directory search query
 * [Fix] Post form cannot be selected while editing the post from wp-admin
 * [Fix] Coupon usage limit was not working
 * [Fix] Date format in coupon
 * [Fix] Registration confirmation email doesn't redirect to the wpuf-login page

= v2.8.0 (18 February, 2018) =

 * [New] Form Layouts: Added new form layouts with Light and Dark color scheme
 * [New] User Admin Approval: Add new option to approve user by admin. You can make a user pending before approve by admin.
 * [New] Subscription expire notification: Add new notification for subscription expiration. User will get custom email after subscription expiration.
 * [Improved] Invisible captcha: Library updated for invisible captcha and update recaptcha.
 * [Improved] Google map now supports auto completion for address
 * [Fix] Social login callback url: There was a minor issue of login callback url on social login module.
 * [Fix] Display of sms enable/disable option.
 * [Fix] Infinite loop on WooCommerce Product save fixed
 * [Fix] Password reset email not working properly
 * [Fix] Content restriction doesn't work for users with multiple roles
 * [Fix] Confirmation email not sent while email module is deactivated

= v2.7.0 (12 December, 2017) =

 * [New] **Introducing All New modules and packaging System** Say bye bye to previous add-ons, which were very difficult to manage. From our new update, we are going to transform all our add-ons into modules. You will be able to manage all of them from a single place. So, we have added a new menu called ‘Modules’ and removed the old ‘Add-ons’ menu.
 * [New] **User Listing Module Improvements** Admin can now select among different design layouts for all user profiles as well as user listings.
 * [New] **Social Login with Facebook, Twitter, LinkedIn and Google.** Want your users to login using Social networking sites on your website or membership site? Now, WP User Frontend Pro allows you to use this feature on every registration form built with it.
 * [New] **Taxonomy restriction when creating a post** Admin can now define the categories for each subscription pack in which a subscribed user can create posts.
 * [New] **WC Vendors Registration Template** Vendors registering in WC Vendors with this form will automatically get assigned as vendors. Admin can add extra fields and customize the template as desired.
 * [New] **Dokan Vendor Registration Template** Vendors registering in Dokan Multivendor with this form will automatically get assigned as vendors. Admin can add extra fields and customize the template as desired.
 * [New] **WC Marketplace Registration Template** Vendors registering in WC Marketplace with this form will automatically get assigned as vendors. Admin can add extra fields and customize the template as desired.
 * [New] **WC Marketplace Registration Template** Vendors registering in WC Marketplace with this form will automatically get assigned as vendors. Admin can add extra fields and customize the template as desired.
 * [Fix] User listing avatar display issue

= v2.6.0 (8 November, 2017) =

 * [New] **Menu Restriction** feature added. Like content restriction, now the admin can restrict the menu items based on roles of logged in users, logged out users, subscription pack or everyone. Available to **Pro** users.
 * [New] **Payment Invoice** added. Users who purchase a subscription or process payment for pay per post could not receive an invoice. Now, it's available, a PDF invoice will  be sent to user's email with details. Available to **Pro** users.

= v2.5.6 (23 October, 2017) =

 * [improved] Added missing icons on field buttons on form builder
 * [new] New redirection settings added in the profile/registration form builder. Now it can be configured on profile and registration update, where the user will be redirected to, separately.
 * [fix] Frontend product visibility issue fix for WooCommerce. As Woo moved this option from meta to taxonomy, it stopped working.
 * [new] Added Locate Me feature in google maps. Now a location button appears on the map right-left area, upon clicking it will place the marker on current user location. Browser permissioin is required for this feature.
 * [new] Content restriction based on user role has been added.
 * [new] "Display Name" field has been added in the profile builder. If firstname and lastname field is present on the form, display name will be automatically set to firstname + lastname.
 * [new] Label Position setting added on the profile form builder.

= v2.5.5 (29 Aug, 2017) =

 * [fix] Translating the menu causing blank form, remove i18n from menu title

= v2.5.4 (30 July, 2017) =

 * [new] Add custom shortcode field
 * [new] Add Get Direction to Google map
 * [tweak] Grunt: Form builder component templates to a single file
 * [fix] Google map is not loading in multistep without resizing the browser
 * [fix] load the builder on even !#wpuf-form-builder
 * [fix] Wrong link in reCaptcha and google map


 = v2.5.3 (08 June, 2017) =

 * [tweak] Improved address field inputs formatting in forms
 * [fix] Google Map - Set default co-ordinate and zoom level option not working on the frontend
 * [fix] Load conditional logic script in custom template
 * [fix] Post Expiration settings
 * [fix] Added deleted hook to add profile form setting tab and content
 * [fix] Manually added conditional field settings in file upload
 * [fix] label_type error on registration form


 = v2.5.2 (30 April, 2017) =

 * [tweak] Add word limit feature for post title field
 * [fix] Fix price format and logic in WPUF_Coupons class
 * [fix] Translation not working issue
 * [fix] Fixed no_captcha not enable issue


 = v2.5.1 (2 April, 2017) =

 * [tweak] Plugin information updated
 * [fix] License updater menu link
 * [fix] Match em tag properly to fix vue error
 * [fix] Display star in rating fields of back-end form builder and post edit
 * [fix] Parse error for lower PHP versions in list table
 * [fix] After applying coupon code, subscription pack value return zero (#14)


 = v2.5 (18 March, 2017) =

 * [new] Post form and profile form builder added


= v2.4.2 (08 February, 2017) =

 * [new] Shortcodes supported on post notification's every field
 * [fix] Conditional logic on address field
 * [fix] Pricing format improvements
 * [new] Currency position settings
 * [fix] File upload warning
 * [new] Re-design Transactions List Table
 * [new] Separated Free & Pro plugin
 * [fix] Draft post empty content issue
 * [new] My Account Dashboard `[wpuf_account]`


= v2.4.1 (12 January, 2017) =

 * [new] Added a function `wpuf_get_countries()`
 * [fix] Enable paynow url on dashboard if a new post is submitted as draft
 * [fix] Invalid post id for editing
 * [fix] Removed subscription trial cost
 * [new] Showing messages when there is no form associated with an id or deleted or not published yet
 * [new] Added dynamic action hooks `wpuf_cancel_payment_{gateway}`, `wpuf_cancel_subscription_{gateway}`
 * [fix] User profile url on transaction's list
 * [fix] Multistep form button & validations
 * [fix] Replaced some raw query to builder
 * [new] jQuery added on preview form
 * [fix] Some undefined variables issue
 * [fix] Replaced `$wpdb->escape()` to `$wpdb->prepare()` for depreciation
 * [fix] Missing data when saving draft post
 * [fix] Updated some textdomains
 * [fix] `wpuf-ajax-tag-search` priv/nopriv ajax request


= v2.4 (26 October, 2016) =

 * [fix] Plupload string translations
 * [fix] Post expiration logic updated
 * [fix] Ignore google map error when the API key is not inserted
 * [fix] Upload error from admin panel, nonce issue
 * [fix] reCaptcha lib constructor for strict standard
 * [fix] tinyMCE and textarea word limit fixed
 * [fix] User profile edit warning issue fixed for PHP 7
 * [fix] Tag suggestion showing -1
 * [fix] Showing -1 in case of unlimited remaining post count
 * [fix] Google map on a multi-step section
 * [improved] Settings API v1.3 updated
 * [improved] Added links to transaction packs in admin area
 * [new] Post template feature added with simple post and WooCommerce form template
 * [new] Added filter on text area editor args
 * [new] Content restriction added on *pro* version


= v2.3.15 (11 August, 2016) =

 * [fix] License renewal prompt fix


= version 2.3.14 =

date: 10 August, 2016

 * [fix] Text domain and translated strings updated
 * [fix] Reloading the profile/registration page after deleting the avatar fixed.
 * [fix] Styling of delete button of form fixed.
 * [fix] Visibility of deleting avatar button fixed.
 * [fix] Issue with saving form in php 7 fixed.
 * [fix] Restoring remaining number of posts allowed to post in subscription is now working for non-admin member (Pro).
 * [fix] noCaptcha in registration is now working (Pro).
 * [fix] Registration form is now saving in php 7 (Pro).
 * [new] Form file uploader is now allowing uploading multiple files and removing extras with warnings.
 * [new] New filters added to show meta functions
 * [new] gMap API settings Added
 * [new] Registration field added (Pro).
 * [new] Post taxonomies visibility in form builder are now dependent on the post type selected (Pro).
 * [new] Multiple forms in the same page


= version 2.3.13 =

date: 30 March, 2016

 * [fix] Paypal user agent changed and issue with paypal transection fixed
 * [new] Multiple images/files can now be uploaded at a time in image and file fields
 * [fix] Upload.js has been modified
 * [fix] Problem with saving form element in php 7.0.0 is fixed


= version 2.3.12 =

date: 8 February, 2016

 * [new] WooCommerce Product Category and Attributes are now sectionized
 * [new] Error notice can now be translated.
 * [new] Errors on filling up the form will now be visible as warning/notice below the relevant field in front end.
 * [new] Meta key name in form field in form builder  will now be auto populated only if the meta key field is empty
 * [fix] Progress bar issue in post edit mode is fixed
 * [new] Multistep registration form added
 * [new] Hook added before registration form
 * [fix] SSL issue fixed


= version 2.3.11 =

date: 8 February, 2016

 * [fix] File upload vulnerability fix. Props to: Panagiotis Vagenas
 * [fix] Replaced deprecated user notification function
 * [fix] Email error validation in multistep
 * [fix] Disabling subscription in form settings
 * [fix] Product taxonomy fixes
 * [new] No-captcha support added


= version 2.3.10 =

date: 5 Ocotber, 2015

 * [fix] Custom css is now working
 * [fix] Textdomain added to some text
 * [fix] Visibility of address field data in the frontend is now fixed
 * [tweak] A new filter has been added to get subscription meta data
 * [new] A new option has been added to date field to treat it future publish date if user wants
 * [new] Autologin after registration - feature added
 * [new] Confirmation alert added when user wants to delete subscription in frontend
 * [fix] Publish post after paypal payment completion


= version 2.3.9 =

date: 13 Sepetember, 2015

 * [fix] Newly registered users were having no meta named "wpuf_postlock"
 * [fix] Newly registered users (having no meta named "wpuf_postlock") are now having form in the frontend
 * [fix] Text input field for category is now working
 * [fix] Pack id warning in admin area profile
 * [fix] Error in rendering map in edit mode, when having no value
 * [fix] Progress bar style are set in condition
 * [fix] Error undefined object post when updating user profile
 * [improve] Button style in payment form


= version 2.3.8 =

date: 3rd Sepetember, 2015

 * [fix] Problem with wpuf lock post fixed.
 * [fix] Problem with retyping password disability in the frontend fixed.
 * [fix] Problem with password visibilty fixed.
 * [fix] Redirection to subscription page from user profile fixed.
 * [fix] Scripts and styles of wpuf are now loading when needed.
 * [add] RTL support improvement


= version 2.3.7 =

date: 24 August, 2015

 * [fix] Problem with conditional logic in image upload field fixed.
 * [fix] Transaction log updating issue fixed.
 * [fix] Email field in form with required flag is now working even if left empty.
 * [fix] Data from address field in registration form is now saved and shows data in edit form .
 * [new] Persian language translation added
 * [fix] Problem with 'pay per post' feature fixed


= version 2.3.6 =

date: 13 July, 2015

 * [fix] Login page bug fixed.
 * [fix] Wordpress native registration page made working.
 * [fix] Email validation bug fixed.
 * [fix] Issue in country field fixed.
 * [fix] Issue with saving taxonomy fixed.
 * [fix] Problem with captcha and really simple captcha fixed.
 * [fix] Problem with action hook fixed.


= version 2.3.5 =

date: 2 July, 2015

 * [fix] Ajax taxonomy field bug fixed.
 * [fix] Conditional logic bug fixed. Was left due to free/pro separation.

= version 2.3.4 (skiped version) =

 * skipped this version on pro due to free version change


= version 2.3.3 =

date: 29 June, 2015

 * [pro][new] Multistep form functionality
 * [fix] Fatal error on profile builder form
 * [fix] Post status settings in form, wasn't being updated.
 * [fix] Featured image caption was not being updated


= version 2.3.2 =

date: 22 June, 2015

* [free][fix] Featured image upload fix
* [free][new] Image upload field brought back to free
* [free][fix] Compatibility problem with PHP < 5.2. Accidental PHP array shorthand used.
* [new] Add new custom field "Country"
* [new] Add new custom field "Address"
* [new] Add new custom field "Number"
* [new] Add new feature Post expiration
* [tweak] Add image caption view on font end
* [tweak] Add word limit to textarea and post content
* [tweak] User subscription meta update process updated
* [fix] Fixed coupun problem
* [fix] Fixed category checkbox update while every other checkbox is unchecked
* [fix] Payment successfull message url fixed
* [fix] Fixed ajax taxonomy bug
* [fix] User subscription meta update problem Fixed


= version 2.2.7 =

date: 21 January, 2015

* [fix] JS issue fix in admin user profile
* [fix] Message after applying coupon
* [fix] User email duplication problem in profile update
* [fix] Dropdown field select wasn't remaining selected
* [fix] Translatable password strength meter
* [fix] Dashboard pagination problem due to WordPress 4.1


= version 2.2.6 =

date: 1 October, 2014

 * [fix] Respect form post status while creating posts from subscription
 * [fix] Show valid post type names in sub_pack_info shortcode
 * [fix] TOC field validation fix
 * [improve] Added login form in un-authorized pages


= version 2.2.5 =

date: 24 September, 2014

 * [fix] Radio, select and other options were fused together
 * [fix] Normal users were able to assignment a subscription pack from admin
 * [fix] Ajax chained category return 0 for guests
 * [improve] Subscription pack style and removed 0 value packs from details


= version 2.2.4 =

date: 2 September, 2014

 * [fix] Subscription pack assignment bug
 * [fix] dollar sign in coupon listing
 * [fix] coupon date problem
 * [fix] required fields was not working
 * [fix] posts would decrease on subscription
 * [new] Image/video caption added
 * [fix] login override off by default


= version 2.2.3 =

date: 12 July, 2014

 * [fix] paypal live endpoint url fix
 * [fix] data saving problem caused many issue. removed `esc_sql`
 * [fix] form duplication fix
 * [fix] Email confirmation bug fix
 * [improve] login message filter before login form added
 * [new] Show/hide admin bar based on dashboard access permission


= version 2.2.2 =

date: 5 July, 2014

* [fix] Fixed conditional logic on taxonomies
* [fix] Checkbox and radio value fix
* [fix] Slashing quote problem


= version 2.2.1 =

date: 2 July, 2014

* [fix] Dashboard post editing was broken
* [fix] "No Image" on dashboard link was broken
* [fix] Plugin upgrade routine on plugins_loaded


= version 2.2 =

date: 1 July, 2014

* [new] Conditional logic
* [new] Recurring subscription
* [new] Login form using shortcode
* [new] Coupon on subscription
* [new] Email confirmation
* [new] Export/import feature
* [new] Auto page and form creator
* [new] Disable subscription on forms
* [new] Author email, author bio and attachment url on post email notification
* [new] User registration using subscription packs
* [new] Pay per post feature for guests
* [improve] Subscription feature
* [improve] Form builder UI


= version 2.1.10 =

date: 24 May, 2014

 * [fix] Password meter fix
 * [fix] Insert Photo 3.9 compatibility fix on tinyMCE
 * [fix] Multiple duplicated form elements on the editor
 * [fix] Password repeat bug fix when no repeat field is there


= version 2.1.9 =

date: 9 January, 2014

 * [fix] PayPal payment problem fixed.
 * [updated] New version of Settings API class


= version 2.1.8 =

date: 18 September, 2013

 * [new] associate uploaded images to post area
 * [new] tags autocomplete
 * [new] default post form assignment
 * [new] taxonomy exclude/include/child_of feature
 * [new] free subscription option
 * [new] new edit post status "No Change"
 * [new] delete transaction option
 * [new] signup page override redirection
 * [new] insert photo: image size selection
 * [new] insert photo: type of image selection
 * [new] "pending" post edit enable/disable option


= version 2.1.7 =

date: 12 July, 2013

* [fix] accidental input field on checkbox removed
* [improve] shortcode for map in post
* [improve] login checking on edit pages
* [improve] inline google maps script removed
* [new] scripts loading option added
* [new] pagination style in dashboard
* [improve] flash runtime removed from plupload runtime


= version 2.1.6 =

date: 22 June, 2013

* [fix] rich textarea post draft bug fix
* [fix] checkbox help text was left out
* [fix] help text for radio field
* [improve] map short code updated and separated to user and post map functions
* [new] non hierarchical taxonomy update support
* [new] theme my login custom email notification action hook fire
* [new] wp cli compatibility
* [new] hidden custom field
* [new] custom taxonomy text input field type added


= version 2.1.5 =

date: 22 May, 2013

* [fix] Comment form fix in dashboard
* [fix] Google map fix in admin edit post area
* [fix] insufficient arguments in admin profile area
* [fix] feature image delete bug in edit post area
* [improve] multisite license notice fix
* [new] dashboard unauthorized message
* [new] not logged in message in user profile form
* [improve] updated language file


= version 2.1.4 =

date: 27 April, 2013

* [bugfix] edit post permission checking
* [bugfix] WYSIWYG Text cut off after using "&"
* [improve] user avatar image url changed from relative to full url. fixes multisite bug
* [improve] `wpuf_can_post` filter gets more parameters
* [improve] repeatable fields separator changed from comma(,) to pipe(|)
* [improve] featured image in dashboard is now linked to posts
* [new] google map autocomplete address feature
* [new] file links added in admin panel post edit custom fields area
* [new] payment gateway bank added
* [new] validation filter added on new/edit post: `wpuf_update_post_validate`, `wpuf_add_post_validate`
* [new] private post status added on dashboard query
* [new] dashboard table hooks added: wpuf_dashboard_head_col, wpuf_dashboard_row_col
* [new] post draft option added. posts now can set to draft for later usage
* [new] default post category option
* [new] dashboard query filter added: `wpuf_dashboard_query`
* [new] teeny rich textarea added


= version 2.1.3 =

date: 18 April, 2013

* [bugfix] comment issue fixed
* [bugfix] date issue fixed
* [bugfix] post author changed
* [new] taxonomy ORDER option
* [new] taxonomy ORDER BY option.
* [new] post format support
* [new] user registration filter
* [new] user registration after filter
* [update] file upload size changed to KiloByte


= version 2.1.2 =

date: 5 April, 2013

* [bugfix] post edit area captcha fix
* [bugifx] Featured default image path fix
* [new] Show post status filter added
* [new] Dashboard query filter added
* [improve] *From* typo fix in editor
* [improve] It won't slow down your site now.


= version 2.1.1 =

date: 23 March, 2013

* [bugfix] License check bug fix


= version 2.1 =

date: 22 March, 2013

* Subscription feature put back
* Auto update feature


= version 2.0 =

* Multiple form added
* Registration builder
* Profile builder
* New Codebase


= version 1.1 =

* warning for multisite fix
* allow category bug fix
* fix ajaxurl in ajaxified category
* custom post type dropdown fix in admin
* post date bug fix
* category dropdown fix


= version 1.0 =

* Admin panel converted to settings API
* Ajax featured Image uploader added (using plupload)
* Ajax attachment uploader added (using plupload)
* Rich/full/normal text editor mode
* Editor button fix on twentyelven theme
* Massive Code rewrite and cleanup
* Dashboard replaced with WordPress loop
* Output buffering added for header already sent warning
* Redirect user on deleting a post
* Category checklist added
* Post publish date fix and post expirator changed from hours to day
* Subscription and payment rewrite. Extra payment gateways can be added as plugin
* Other payment currency added


= version 0.7 =

* admin ui improved
* updated new post notification mail template
* custom fields and attachment show/hide in posts
* post edit link override option
* ajax "posting..." changed
* attachment fields restriction in edit page
* localized ajaxurl and posting message
* improved action hooks and filter hooks


= version 0.6 =
---------------

* fixed error on attachment delete
* added styles on dashboard too
* fixed custom field default dropdown
* fixed output buffering for add_post/edit_post/dashboard/profile pages
* admin panel scripts are added wp_enqueue_script instead of echo
* fixed admin panel block logic
* filter hook added on edit post for post args


= version 0.5 =

* filters on add posting page for blocking the post capa
* subscription pack id added on user meta upon purchase
* filters on add posting page for blocking the post capa
* option for force pack purchase on add post. dropdown p
* subscription info on profile edit page
* post direction fix after payment
* filter added on form builder


= version 0.4 =

* missing custom meta field added on edit post form
* jQuery validation added on edit post form


= version 0.3 =

* rich/plain text on/off fixed
* ajax chained category added on add post form
* missing action added on edit post form
* stripslashes on admin/frontend meta field
* 404 error fix on add post


= version 0.2 =

* Admin settings page has been improved
* Header already sent warning messages has been fixed
* Now you can add custom post meta from the settings page
* A new pay per post and subscription based posting options has been introduced (Only paypal is supported now)
* You can upload attachment with post
* WYSIWYG editor has been added
* You can add and manage your users from frontend now (only having the capability to edit_users )
* Some action and filters has been added for developers to add their custom form elements and validation
* Pagination added in post dashboard
* You can use the form to accept "custom post type" posts. e.g: [wpuf_addpost post_type="event"]. It also applies for showing post on dashboard like "[wpuf_dashboard post_type="event"]"
* Changing the form labels of the add post form is now possible from admin panel.
* The edit post page setting is changed from URL to page select dropdown.
* You can lock certain users from posting from their edit profile page.

== Upgrade Notice ==

Nothing to say
